Bug 608230 - xkb-plugin forgets "change layout option" after logout-login on SLIM
xkb-plugin forgets "change layout option" after logout-login on SLIM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 04:02 EDT by sd.domrep
Modified: 2011-06-02 15:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: xfce4-xkb-plugin-0.5.4.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 15:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sd.domrep 2010-06-26 04:02:49 EDT
Description of problem:
I use SLIM with XFCE
When I do logout and login xfce4-xkb-plugin forgets "change layout" settings. But I still able to change layout by clicking on tray icon.


Version-Release number of selected component (if applicable):
Rawhide, last update.

How reproducible:
Without any problem, always happens.

Steps to Reproduce:
1.Choose key combination in plugin properties.
2.Do logout in SLIM
3.Login again the same user, and key combination is lost
  
Actual results:


Expected results:


Additional info:
Comment 1 Christoph Wickert 2010-07-04 17:46:08 EDT
Are you sure it has something to do with SLIM? Can you reproduce this reliably?

I know the plugin resets its configuration sometimes when the panel quits, but I doubt it depends on the login manager. Can you try with LXDM or GDM?
Comment 2 sd.domrep 2010-07-05 10:58:03 EDT
No, it hasn't. This problem hasn't any relation with SLIM. I checked it with GDM.
In GDM after logout I have the same result, and it is not "sometimes" it happens always.

Interesting, but if I do - "xfce4-panel -r" plugin doesn't forget its configuration.
It always happen after "logout/login".

I created this bug to make sure someone knows about this annoying problem.

Thanks.
Comment 3 Bug Zapper 2010-07-30 08:14:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 sd.domrep 2010-11-17 14:31:06 EST
Bug still exists, even on Fedora 14.
Comment 5 sd.domrep 2010-11-22 15:29:10 EST
Ok, I solved this problem by adding:
setxkbmap -option grp:ctrl_shift_toggle

to the user Xclients script.
Comment 6 Christoph Wickert 2010-11-25 19:35:52 EST
Normally this should not be necessary but if, you can better drop a script in /etc/X11/xinit/xinitrc.d/.

Can you please remove the setxkbmap call for now and test the update from 
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.3.3-4.fc14

Feedback is welcome!
Comment 7 sd.domrep 2010-11-26 09:15:27 EST
This update did not make any difference.
After logout, login "setxkbmap -print" gives me:
xkb_keymap {
        xkb_keycodes  { include "evdev+aliases(qwerty)" };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc+us+ru:2+inet(evdev)"        }; <--- here should be the toggle
        xkb_geometry  { include "pc(pc102)"     };
};
Something removes it did not set up.
Comment 8 Fedora Update System 2011-05-25 15:59:09 EDT
xfce4-xkb-plugin-0.5.4.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.1-1.fc15
Comment 9 Fedora Update System 2011-05-26 17:51:30 EDT
Package xfce4-xkb-plugin-0.5.4.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-xkb-plugin-0.5.4.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.1-1.fc15
then log in and leave karma (feedback).
Comment 10 sd.domrep 2011-05-27 07:48:49 EDT
Just checked xfce4-xkb-plugin-0.5.4.1-1.fc16 on Rawhide - it works and after logout remembers layout settings.

Later will check on Fedora 15.

Thanks.
Comment 11 Fedora Update System 2011-06-02 15:02:46 EDT
xfce4-xkb-plugin-0.5.4.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.